Subject: Re: How to determine running under bash or cmd.exe
From: [email-masked] (David Coe)

24 Oct 1996 00:36:55 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.0Gold (WinNT; I)
Original-To: Mansuriatus Shahrir Amir <[email-masked]>
Original-CC: Cygnus Gnu-win32 <[email-masked]>
Original-Sender: [email-masked]

Mansuriatus Shahrir Amir wrote:
> 

> 1) I only managed to get man.exe to compile. However my problem is to find
> a clean way for console programs to determine whether they are running bash
> or cmd.exe/command.com, so that '\\" or '/' can be automatically configured
> like all Cygnus tools. If I port it for unix it'll run well under bash but not under cmd.exe and vice versa.

Which variant of man are you using? Man1.4h (from the linux
distribution) which I posted on the list a while back doesn't seem to
mind whether it runs under sh or cmd.

Good luck

-- 
Dr David Coe			     \=\
58 Fairlawn Drive, East Grinstead     \=\   Tel +44 1342 326860
West Sussex, RH19 1NT, United Kingdom  \=\  Fax +44 1342 316019
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".